View Issue Details

IDProjectCategoryView StatusLast Update
0003683FEM[FreeCAD] Bugpublic2019-01-15 10:02
ReporterHarryvL Assigned Towmayer  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformWindowsOSWindowsOS Version10
Product Version[FreeCAD] 0.18 
Target VersionFixed in Version[FreeCAD] 0.18 
Summary0003683: FEM, GUI, incorrect display of constraints symbols on reference shapes
Descriptionconstraints symbols are not always shown on edges where they are applied ...

- force- , fixed-, displacement constraints

https://forum.freecadweb.org/viewtopic.php?f=18&t=32169
Steps To ReproduceApply loads or displacements on split edge
Additional InformationOS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.15187 (Git)
Build type: Release
Branch: master
Hash: 04005b5e452a7b8624f2aeac5180787d4f6a88fa
Python version: 2.7.14
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.2.0
Locale: English/Denmark (en_DK)
TagsNo tags attached.
FreeCAD Information

Activities

HarryvL

2018-11-11 15:33

reporter  

Screenshot (4).png (203,657 bytes)
Screenshot (4).png (203,657 bytes)
Screenshot (5).png (233,286 bytes)
Screenshot (5).png (233,286 bytes)

berndhahnebach

2018-11-13 14:47

developer   ~0012187

confirmed on:

OS: Debian GNU/Linux 9.6 (stretch)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.15190 (Git)
Build type: Debug
Branch: master
Hash: c18785fdb31e378500440de23dcf648a2c79dc5f
Python version: 2.7.13
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.0.0
Locale: German/Switzerland (de_CH)

Kunda1

2018-11-13 14:58

administrator   ~0012189

Setting status to 'confirmed'
@berndhahnebach quick favor, in the future, please change the status when confirming a bug etc... keeps the tracker organized. Thanks!

wmayer

2019-01-15 10:02

administrator   ~0012434

https://github.com/FreeCAD/FreeCAD/commit/d94fc4988e2d26ea9ef65b09cc84f1f287411181

Issue History

Date Modified Username Field Change
2018-11-11 15:33 HarryvL New Issue
2018-11-11 15:33 HarryvL File Added: Screenshot (4).png
2018-11-11 15:33 HarryvL File Added: Screenshot (5).png
2018-11-13 07:08 berndhahnebach Summary Incorrect Display of Load and Displacement Constraints => FEM, Incorrect Display of Load and Displacement Constraints
2018-11-13 07:08 berndhahnebach Description Updated View Revisions
2018-11-13 07:08 berndhahnebach Additional Information Updated View Revisions
2018-11-13 07:08 berndhahnebach Summary FEM, Incorrect Display of Load and Displacement Constraints => FEM, GUI, Incorrect Display of Load and Displacement Constraints
2018-11-13 14:46 berndhahnebach Summary FEM, GUI, Incorrect Display of Load and Displacement Constraints => FEM, GUI, incorrect display of constraints symbols on reference shapes
2018-11-13 14:46 berndhahnebach Description Updated View Revisions
2018-11-13 14:47 berndhahnebach Note Added: 0012187
2018-11-13 14:58 Kunda1 Status new => confirmed
2018-11-13 14:58 Kunda1 Note Added: 0012189
2019-01-15 10:02 wmayer Assigned To => wmayer
2019-01-15 10:02 wmayer Status confirmed => closed
2019-01-15 10:02 wmayer Resolution open => fixed
2019-01-15 10:02 wmayer Fixed in Version => 0.18
2019-01-15 10:02 wmayer Note Added: 0012434